Create new product group
Creates a new product group.
If parentUid is set and no scope is set, the new product group inherits scope from parent.
Required permissions: PRODUCT_GROUP
post/tenants/{tenantUid}/product-groups
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
namestringRequired
productGroupUidstringOptionalPattern:
^[A-Za-z0-9-_]+externalIdstringOptional
parentUidstringOptionalPattern:
^[A-Za-z0-9-_]*scopestring · enum · min: 1Optional
Possible values:
| ENUM | Description |
|---|---|
| SALE | Sale product scope. Default |
| SERVICE | Service product scope |
| NO_SEARCH | Not visible in search scope |
Responses
200
Example response
application/json
createdAtstring · date-timeRequired
externalIdstringRequired
hasChildrenbooleanRequired
True when the product group has one or more subgroups.
lastModifiedAtstring · date-timeRequired
namestringRequired
parentUidstringRequiredPattern:
^[A-Za-z0-9-_]*productCountintegerRequired
Number of products in this productGroup.
productGroupUidstringRequiredPattern:
^[A-Za-z0-9-_]+scopestring · enum · min: 1Required
Possible values:
| ENUM | Description |
|---|---|
| SALE | Sale product scope. Default |
| SERVICE | Service product scope |
| NO_SEARCH | Not visible in search scope |
post/tenants/{tenantUid}/product-groups
POST /v2/tenants/{tenantUid}/product-groups HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 94
{
"name": "text",
"productGroupUid": "text",
"externalId": "text",
"parentUid": "text",
"scope": "SALE"
}200
Example response
{
"createdAt": "2026-01-01T00:00:00.000Z",
"externalId": "text",
"hasChildren": true,
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"name": "text",
"parentUid": "text",
"productCount": 1,
"productGroupUid": "text",
"scope": "SALE"
}Last updated
Was this helpful?

